#include <bits/stdc++.h>

using namespace std;
int cx(long long a, int x){
    if(a>=int(pow(10,x))){
        return a%int(pow(10,x+1))/int(pow(10,x));
    }
    return -1;
}
int main()
{
    long long a,b;
    cin>>a>>b;
    long long k=1;
    long long p=0;
    for(int i=0;pow(10,i)<=a || pow(10,i)<=b; i++){
        if(cx(a,i)==-1){
            p+=cx(b,i)*k;
            k*=10;
        }
        else if(cx(b,i)==-1){
            p+=cx(a,i)*k;
            k*=10;
        }
        else if(cx(a,i)==cx(b,i)){
            p+=cx(a,i)*k;
            k*=10;
            p+=cx(a,i)*k;
            k*=10;
        }
        else{
            p+=max(cx(a,i),cx(b,i))*k;
            k*=10;
        }
    }
    cout<<p;
    return 0;
}